Get Job Status
curl --request GET \
--url https://partnerapi.seekout.io/api/Refresh/GetJobStatus/{jobId} \
--header 'Api-Key: <api-key>'import requests
url = "https://partnerapi.seekout.io/api/Refresh/GetJobStatus/{jobId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://partnerapi.seekout.io/api/Refresh/GetJobStatus/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"status": "Queued",
"totalRequested": 123,
"totalProcessed": 123,
"totalSuccessful": 123,
"totalFailed": 123,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": "<string>",
"progressPercentage": 123,
"dataUrl": "<string>",
"errorMessage": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"processedHandles": [
"<string>"
],
"failedHandles": [
{
"handle": "<string>",
"error": "<string>"
}
]
}Profile refresh
Get Job Status
GET
/
api
/
Refresh
/
GetJobStatus
/
{jobId}
Get Job Status
Authorizations
Organization-scoped API key provisioned by SeekOut. Send it in the Api-Key header on every request.
Path Parameters
Response
Success
Available options:
Queued, InProgress, Completed, Failed, Cancelled Show child attributes
Show child attributes
Was this page helpful?
⌘I